import torch

from kge.types import GrammaticalFunction

from .base import GrammaticalEncoder


class IdentityEncoder(GrammaticalEncoder):
    def __call__(self, x: torch.Tensor, as_: GrammaticalFunction) -> torch.Tensor:
        return x
